#!/usr/bin/env perl

sub conv_color {
	my $color = shift;

	return ($color >> 2) << 1;
}

my $s16_color = hex($ARGV[0]) + 0;

my $s16_r = (($s16_color & 0x1000) >> 12) | (($s16_color & 0xF) << 1);
my $s16_g = (($s16_color & 0x2000) >> 13) | (($s16_color & 0xF0) >> 3);
my $s16_b = (($s16_color & 0x4000) >> 14) | (($s16_color & 0xF00) >> 7);

printf "0%01X%01X%01X\n", &conv_color($s16_b), &conv_color($s16_g), &conv_color($s16_r);
